# Uses of Class
org.eclipse.emf.spi.cdo.CDOSessionProtocol.LockObjectsResult

Packages that use CDOSessionProtocol.LockObjectsResult
Package
Description
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOSessionProtocol.LockObjectsResult in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server that return CDOSessionProtocol.LockObjectsResult
Modifier and Type
Method
Description
`CDOSessionProtocol.LockObjectsResult`
InternalRepository.`lock(InternalView view, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type, List<CDORevisionKey> keys, boolean recursive, long timeout)`

## Uses of CDOSessionProtocol.LockObjectsResult in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return CDOSessionProtocol.LockObjectsResult
Modifier and Type
Method
Description
`CDOSessionProtocol.LockObjectsResult`
CDOSessionProtocol.`delegateLockObjects(String lockAreaID, List<CDORevisionKey> revisionKeys, CDOBranch viewedBranch, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, boolean recursive, long timeout)`
`CDOSessionProtocol.LockObjectsResult`
CDOSessionProtocol.`lockObjects(List<InternalCDORevision> viewedRevisions, int viewID, CDOBranch viewedBranch, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, long timeout)`
Deprecated.
`CDOSessionProtocol.LockObjectsResult`
CDOSessionProtocol.`lockObjects2(List<CDORevisionKey> revisionKeys, int viewID, CDOBranch viewedBranch, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, boolean recursive, long timeout)`